Bug 8476 - Crossref export XML invalid due to supplementary files
Crossref export XML invalid due to supplementary files
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Import/Export
To be determined
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 06:55 PST by Michael Nason
Modified: 2014-06-18 10:45 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Nason 2013-11-20 06:55:53 PST
Using the DOI plugin settings wherein only articles are assigned DOIs and the last DOI suffix assignment option: 

"Enter an individual DOI suffix for each published item independent and different from the "Custom Identifier" mentioned in the previous option. You'll find an additional DOI input field on each item's meta-data page."

The Crossref XML generated with the import/export plugin includes a <component_list> element with child element <component parent_relation="isPartOf"> for each supplementary file associated with the article. Validation error reads:

System ID: /Users/Downloads/crossref.xml
Main validation file: /Users/Downloads/crossref.xml
Schema: http://www.crossref.org/schema/deposit/crossref4.3.0.xsd
Engine name: Xerces
Severity: error
Description: cvc-complex-type.2.4.b: The content of element 'component' is not complete. One of '{"http://www.crossref.org/schema/4.3.0":contributors, "http://www.crossref.org/schema/4.3.0":publication_date, "http://www.crossref.org/schema/4.3.0":description, "http://www.crossref.org/schema/4.3.0":format, "http://www.crossref.org/schema/4.3.0":doi_data}' is expected.
Start location: 53:22
End location: 53:31
URL: http://www.w3.org/TR/xmlschema11-1/#cvc-complex-type
Comment 1 Bozana Bokan 2013-11-30 06:06:03 PST
export supp file only if it has a DOI
https://github.com/pkp/ojs/commit/270566458953f532950c779aa47bcd7e9ff4be55
Comment 2 James MacGregor 2014-01-27 17:07:31 PST
Hi Bozana, can this bug be closed or should the fix be ported elsewhere? (I just patched one of our hosted journals and the fix worked great, btw!)

Thanks! 
James
Comment 3 Bozana Bokan 2014-01-28 08:57:19 PST
Hi James, this can be closed :-)
Thanks!